
RSB OpenCV [Deprecated] - Tasks #1309
Separate CMakeFile for Packaging
12/18/2012 05:55 PM - S. Wrede

Status: Closed Start date: 12/18/2012
Priority: Normal Due date:
Assignee: S. Wrede % Done: 90%
Category: Estimated time: 0.00 hour
Target version:
Description

As done for the other projects.

Related issues:
Related to Robotics Systems Types - Bug # 1432: Wrong debian opencv dependenc... Resolved 02/20/2013
Blocked by Robotics Systems Types - Bug # 1424: rst-convertersConfig.cmake ne... Resolved 02/19/2013
Copied to RSB OpenCV - Tasks # 2690: Separate CMakeFile for Packaging In Progress 12/18/2012

Associated revisions
Revision 49 - 06/07/2013 07:57 PM - J. Moringen

Added license in COPYING.txt

refs #1309

    -  COPYING.txt: new file; contains project license

Revision 50 - 06/07/2013 08:11 PM - J. Moringen

Better Debian package; also in separate file cpack/CPackDebianConfig.cmake

refs #1309

    -  CMakeLists.txt: removed most Debian related stuff; use
  ProvideFlexibleCPack macro; added versions to RS{C,B,T}
  dependencies; define variable TOOLS

    -  apps/CMakeLists.txt: use variable TOOLS
    -  cpack/CPackDebianConfig.cmake: new file; contains stuff related to

  Debian packaging; improved package description; fixed some
  dependencies

History
#1 - 06/07/2013 07:42 PM - J. Moringen
- Subject changed from Seperate CMakeFile for Packaging to Separate CMakeFile for Packaging
- Status changed from New to In Progress
- Assignee set to J. Moringen

#2 - 06/07/2013 07:42 PM - J. Moringen
- Tracker changed from Bug to Tasks

#3 - 06/07/2013 08:43 PM - J. Moringen
- Assignee changed from J. Moringen to S. Wrede
- % Done changed from 0 to 90

After r49 and r50, things are almost fine.
Remaining problems:
    -  How to deal with optional transitive dependencies such as RCI via rst-converters
    -  Which Debian dependencies are needed for OpenCV?

#4 - 09/11/2013 11:57 AM - J. Wienke
- Target version changed from rsb-0.9 to rsb-0.10

#5 - 12/12/2013 05:08 PM - J. Moringen
- Target version changed from rsb-0.10 to rsb-0.11

#6 - 12/30/2014 08:54 AM - J. Moringen
- Target version changed from rsb-0.11 to rsb-0.12

#7 - 03/03/2016 12:08 PM - J. Moringen
- Target version changed from rsb-0.12 to rsb-0.14

#8 - 06/08/2016 09:03 PM - J. Moringen
- Target version changed from rsb-0.14 to rsb-0.15

#9 - 07/06/2016 02:37 PM - J. Moringen
- Target version deleted (rsb-0.15)

#10 - 01/26/2017 01:11 PM - J. Moringen
- Copied to Tasks #2690: Separate CMakeFile for Packaging added

#11 - 01/26/2017 01:12 PM - J. Moringen
- Status changed from In Progress to Closed
